### Function

# GLib PtrArray remove_range

since: 2.4

#### Declaration

    GPtrArray*
    g_ptr_array_remove_range (
      GPtrArray* array,
      guint index_,
      guint length
    )

#### Description

Removes the given number of pointers starting at the given index from a `GPtrArray`. The following elements are moved to close the gap. If `array` has a non-`NULL` `GDestroyNotify` function it is called for the removed elements.

Available since: 2.4

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GPtrArray`.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the first pointer to remove.

`length`

  Type: `guint`

  The number of pointers to remove.

#### Return value

Type: An array of `gpointer`

The `array`.

The data is owned by the called function.